PXMLRPCArrayBase Class Reference

`#include <pxmlrpc.h>`

Inheritance diagram for PXMLRPCArrayBase:

## Public Member Functions

virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | Copy (const PXMLRPCVariableBase &other)
virtual PBoolean | IsArray () const
virtual PINDEX | GetSize () const
virtual PBoolean | SetSize (PINDEX)
Public Member Functions inherited from PXMLRPCVariableBase
const char * | GetName () const
const char * | GetType () const
virtual PString | ToString (PINDEX i) const
virtual void | FromString (PINDEX i, const PString &str)
virtual PXMLRPCStructBase * | GetStruct (PINDEX i) const
PString | ToBase64 (PAbstractArray &data) const
void | FromBase64 (const PString &str, PAbstractArray &data)
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Member Functions

| PXMLRPCArrayBase (PContainer &array, const char *name, const char *type)
PXMLRPCArrayBase & | operator= (const PXMLRPCArrayBase &)
Protected Member Functions inherited from PXMLRPCVariableBase
| PXMLRPCVariableBase (const char *name, const char *type=NULL)
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Protected Attributes

PContainer & | array
Protected Attributes inherited from PXMLRPCVariableBase
const char * | name
const char * | type

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...

## Constructor & Destructor Documentation

PXMLRPCArrayBase::PXMLRPCArrayBase | ( | PContainer & | array,
|  | const char * | name,
|  | const char * | type
| ) |  |

protected

## Member Function Documentation

virtual void PXMLRPCArrayBase::Copy | ( | const PXMLRPCVariableBase & | other | ) |

virtual

Implements PXMLRPCVariableBase.

virtual PINDEX PXMLRPCArrayBase::GetSize | ( |  | ) | const

virtual

Reimplemented from PXMLRPCVariableBase.

virtual PBoolean PXMLRPCArrayBase::IsArray | ( |  | ) | const

virtual

Reimplemented from PXMLRPCVariableBase.

PXMLRPCArrayBase& PXMLRPCArrayBase::operator= | ( | const PXMLRPCArrayBase & |  | ) |

protected

virtual void PXMLRPCArrayBase::PrintOn | ( | ostream & | strm | ) | const

virtual

Output the contents of the object to the stream.

The exact output is dependent on the exact semantics of the descendent class. This is primarily used by the standard `operator<<` function.

The default behaviour is to print the class name.

Reimplemented from PObject.

virtual PBoolean PXMLRPCArrayBase::SetSize | ( | PINDEX |  | ) |

virtual

Reimplemented from PXMLRPCVariableBase.

Reimplemented in PXMLRPCArrayObjectsBase.

## Member Data Documentation

PContainer& PXMLRPCArrayBase::array

protected

The documentation for this class was generated from the following file:

- pxmlrpc.h